﻿using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Optimization;
using HeuristicLab.Parameters;

namespace HeuristicLab.Algorithms.VOffspringSelectionGeneticAlgorithm {
  public interface ISubScopesQualityComparatorOperator : ISubScopesQualityComparator, IOperator {
    //TODO: the ISubScopesQualityComparator interface should be fixed:
    // * add IOperator as base interface
    // * don't call it QualityComparator because it could also compare solutions by diversity


    ValueLookupParameter<DoubleValue> ComparisonFactorParameter { get; }
  }

}

